This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 13981 - <track> Redundant checks for 0-9 when parsing integers
Summary: <track> Redundant checks for 0-9 when parsing integers
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-31 12:52 UTC by contributor
Modified: 2012-07-18 18:48 UTC (History)
5 users (show)

See Also:


Attachments

Description contributor 2011-08-31 12:52:03 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#parsing-0
Complete: http://www.whatwg.org/c#parsing-0

Comment:
Redundant checks for 0-9 when parsing integers

Posted from: 83.218.67.122 by philipj@opera.com
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.186 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-08-31 12:56:07 UTC
http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html#collect-a-webvtt-timestamp

At least step 9, 13.2 and 15 can be removed, as the number of characters collected are checked directly after. (Step 4 is possible to rewrite as well, but it's not redundant.)
Comment 2 Ian 'Hixie' Hickson 2011-10-20 21:03:49 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-10-20 21:04:43 UTC
Checked in as WHATWG revision r6713.
Check-in comment: remove redundant steps
http://html5.org/tools/web-apps-tracker?from=6712&to=6713